/* .searchform-wrapper{
    padding: 0 300px 100px 80px;
} */

.searchform-wrapper .property-wrapper{
    position: fixed;
    left: 0;
    right: 0;
    padding-left: 300px;
    z-index: 2;
    display: flex;
    align-items: center;
    margin-top: 0;
    gap: 28px;
    border-top: 1px solid #e5e5e5;
    border-bottom: 1px solid #e5e5e5;
    background: var(--beon-form-background);
    transition: top 0.6s ease;
}

.filter-button-close {
    background: #5d8690 !important;
}
.page-id-16 .header{
    box-shadow: none;
}

.left-wrapper{
    width:30%;
}

.filter_wrapper{
    padding-bottom: 20px;
}
.property-wrapper, .filter_wrapper{
    background-color: var(--beon-form-background);
    box-shadow: 0 0 60px 0 rgb(6 30 98 / 8%);
    border-radius: 20px;
    margin-bottom:40px;
}

#searchform .form-group, .wrap-regions .select2-selection__rendered, .filter-align-items .select2-selection__rendered{
    line-height:50px !important;
}

form#searchform {
    padding:25px 40px;
    flex-direction: column;
    text-align: start;
    font-size: var(--beon-extrasmall-font);
    line-height: normal;
    margin: 0px;
    /* align-items: stretch; */
    width:100%;
    align-items:start;
    justify-content:start;
    gap:10px;
    border-radius: 20px;
    box-shadow: unset;
}


form#searchform .wrap-range, form#searchform .wrap-guests{
    background-color: var(--beon-form-background);
    border:2px solid #EDEEEF;
    width:100%;
    /* padding: 18px 25px; */
    /* border-radius: 9999px; */
}
form#searchform .form-group{
    padding-left: 45px;
    min-width: 130px;
    width:100%;
}

form#searchform .dateInput{
    display: flex;
    align-items: center;
}

form#searchform .wrap-regions, form#searchform .filter-align-items{
    background-color: #FFF;
    margin-bottom: 0;
    border:2px solid #EDEEEF;
    width:100%;
    padding-left: 0;
}

.wrap-regions .select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 40px;
}

form#searchform span.icon-wrapper{
    left: 10px;
}

form#searchform input[type="submit"]{
    background: var(--beon-steel-color);
    color: #FFF;
    line-height:50px;
    width: 100%;
    border:0;
    margin-top:10px;
    height: auto;
    padding: 0 50px;
    border-radius: 0;
    text-transform: capitalize;
    font-size: 14px;
}
form#searchform input[type="submit"]:hover, #filter-button-close:hover{
    background: var(--beon-limegreen-color) !important
}

#guests{
    justify-content: flex-start;
    padding-left: 0;
}

:root {
	--form-background: var(--box-background);
}
.overview ul {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: self-start;
}
.overview ul img {
    display: inline-block;
    width: 18px;
    position: relative;
    top: 0px;
}
.overview ul li {
    position: relative;
    background: transparent;
    /* z-index: 11; */
}
.overview ul li:first-child {
    padding-right: 20px;
}
.overview ul li:last-child {
    padding-left: 20px;
}
.overview ul li:nth-child(2) {
    padding-left: 20px;
    padding-right: 20px;
    width: 200px;
}

.overview ul::after {
    content: "";
    width: 100%;
    height: 1px;
    background: var(--border-color);
    position: absolute;
}

#show_allfilter, #show_allfilter:hover {
    border: none;
    outline: none;
    color: inherit;
    background-color: transparent;
    padding: 0 0 0 30px;
    cursor: pointer;
}
#show_allfilter span.icon-wrapper {
    left: 0;
    height: 20px;
}
.overview ul {
    list-style-type: none;
    padding: 0;
    margin-top: 40px;

}
.hide-filter {
    display: none;
}
.main-search .activeoptions-wrapper {
	display: flex;
	align-items: center;
    
}

/* .main-search .activeoptions-wrapper .activeoptions-label {
	margin-right: 25px;
} */

.activeoptions {
	display: flex;
	flex-wrap: wrap;
    gap:5px;
}

.activeoptions .parameter-wrapper {
	padding: 2px 7px;
    display: flex;
    align-items: center;
    gap: 5px;
    border-radius: 5px;
    font-size: 12px;
    line-height: normal;
    flex-direction: row-reverse;
    border: 1px solid #506E75;
    color: #506E75;
}
.activeoptions .parameter-wrapper:hover{
    cursor:pointer;
    background: #506E75;
    color:white;
    & a{
        filter: brightness(0) saturate(100%) invert(100%) sepia(99%) saturate(17%) hue-rotate(197deg) brightness(104%) contrast(100%);
    }
}
.activeoptions .parameter-wrapper a{
    border: 1px solid;
    border-radius: 999px;
    width: 12px !important;
    height: 12px !important;
    background-size: 50% !important;
    filter: brightness(0) saturate(100%) invert(42%) sepia(8%) saturate(1102%) hue-rotate(144deg) brightness(95%) contrast(95%);
    margin-left:0px !important;
}
.activeoptions .parameter-wrapper a, .close-popup {
	width: 20px;
	height: 20px;
	margin-left: 5px;
	background: url(/wp-content/plugins/beon-voffice/assets/images/xmark-solid.svg) center center;
	background-repeat: no-repeat;
    background-size: contain;
}

span#select2-order-container::after {
	content: "";
	background: url(/wp-content/plugins/beon-voffice/assets/images/chevron-down-solid.svg) center;
	width: 15px;
	height: 15px;
	position: absolute;
	top: 45%;
    transform: translateY(-50%);
    right: 0;
}

/*checkbox*/

.wrap-filter-title-subtitle {
    z-index: 1;
    position: relative;
}

.wrap-filter-title-subtitle .herosection img{
    width: 100%;
    height: 560px;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
}



.wrap-filter {
    display: none;
    position: fixed;
    background-color: var(--beon-form-background);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999;
    padding: 30px 40px;
    align-items: center;
    border: 1px solid var(--beon-popup-border-color);
    border-radius: var(--beon-border-radius);
}

.wraps-filter, .wrap-filter {
    padding: 25px 40px;
    & .input-wrapper {
        label {
            display: flex;
            width: 100%;
            justify-content: space-between;
            align-items: center;
            font-size: 13px;
            line-height: 30px;
            padding-left: 35px;
            transition: all 0.25s ease 0s;
            color:#506E75;
        }
    }
}

.wraps-filter, .wrap-filter {
    & .input-wrapper{
        label:hover{
            color: #BDCD00;
            & span.checkmark{
                background: #BDCD00 url('../images/check.svg');
                border-color: #BDCD00;
                height: 22px;
                width: 22px;
                background-repeat: no-repeat;
                background-size: contain;
            
            }
        }
    }
}
.input-wrapper.beon-checkbox-disabled{
pointer-events: none;
}
.wraps-filter .checkbox-wrapper input:checked~.checkmark, .wrap-filter .checkbox-wrapper input:checked~.checkmark{
    background: #BDCD00 url('../images/check.svg');
    border-color: #BDCD00;
    height: 22px;
    width: 22px;
    background-repeat: no-repeat;
    background-size: contain;

}
span.checkbox-count {
    width: 24px;
    height: 24px;
    /* float: right; */
    display: inline-block;
    margin: 0;
    text-align: center;
    /* background-color: #f2f2f2; */
    border-radius: 10px;
    font-size: 12px;
    line-height: 24px;
}
.checkbox-wrapper label:has(input[type="checkbox"]:checked) {
    color: #BDCD00;
}

.filter-content {
    height: 40vh;
    overflow-y: scroll;
}

.filter-button-close {
    background-color: var(--beon-steel-color) !important;
}

div#primary.main-search button#filter-button-close {
    box-shadow: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border: 0;
    margin-top: 30px;
    height: 50px;
    color: var(--beon-form-background);
    background-color: var(--beon-steel-color);
    width: calc(100% - 80px);
    margin:0 auto;
    font-size: 14px;
}

.filter_wrapper #filter-button-close{
    margin-top: unset !important;
    margin:25px 40px;
}


.wraps-filter, .wrap-filter {
    .input-wrapper {
        margin: 10px 0 10px 0;
        display: flex;
        width: 100%;
        justify-content: space-between;
    }
}


.hide-filter {
    display: none;
}

.btn-green{
    padding: 17px 50px !important;
    min-width: 182px;
    background-color: var(--beon-text-green-color) !important;
    border-radius: 999px !important;
    color: #FFF !important;
    display: flex;
    align-items: center;
    gap:5px;
    justify-content: center;
}

.btn-green img{
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7444%) hue-rotate(344deg) brightness(108%) contrast(110%);
}

.overview {
    padding-top: 30px;
    padding-bottom: 30px;
    /* border-bottom: 1px solid #DDD6CC; */
}

.overview ul {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: start;
    list-style-type: none;
    padding: 0;
    margin-top: 0px;
}

.overview ul img {
    display: inline-block;
    width: 18px;
    position: relative;
    top: 0px;
}


.main-search .checkmark {
	position: absolute;
	top: 4px;
	left: 0;
	height: 22px;
	width: 22px;
	background-color:transparent;
	cursor: pointer;
    border: 1px solid #bababf;
    border-radius: 2px;
}

.checkbox-wrapper span::before{
    content: ' ';
}
.main-search input[type="checkbox"] {
	color: white;
    cursor: pointer;
	padding-left: 10px;
	padding-right: 10px;
	border: none;
	margin-bottom: 5px;
	height: 28px;
	border: none;
	margin-bottom: 5px;
	position: absolute;
	opacity: 0;
	width: 100%;
	left: 0;
}
#show_allfilter {
    font-size: var(--beon-extrasmall-font);
    text-transform: uppercase;
    position:relative;
}

.sort-wrapper .select2-container .select2-selection--single .select2-selection__rendered{
    font-size: 13px;
    line-height: normal;
    text-transform: capitalize;
    width: 100%;
    position: relative;
}

.activeoptions-wrapper {
    font-size: var(--font-size-small);
}

.main-search .property-wrapper label {
	cursor: pointer;
    padding-top: 0;
    /* font-size: var(--font-size-medium); */
}

.checkbox-wrapper {
	cursor: pointer;
	display: flex;
	align-items: center;
	position: relative;
	width: 33%;
    margin: 8px 0;
}
.wrap-filter .checkbox-wrapper{
    width:100%;
}

.form-tooltip:after {
    display: none;
}

#main{
    display: flex;
    gap:60px;
    width: 100%;
    /* justify-content: end; */
    margin-top:50px;
    /* align-items:start; */
}

#main .content-wrapper{
    width: 70%;
}

#main .map-container {
    width: 35%;
    position: fixed;
    right: 0;
    height: 100%;
    background-color: var(--beon-form-gray-background);
}

#main .left-wrapper .property-wrapper .left_headline{
    color:var(--beon-steel-color);
}
#left .mod_fewo_filter.filterTop{
    padding-top:0px !important
}

#main .left-wrapper .left_headline{
    margin-bottom: 0px;
    padding: 25px 40px;
    border-bottom: 1px solid #e1e4e6;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    font-size: 20px;
    display: block;
    position: relative;
}
#main .left-wrapper .filter_wrapper .left_headline{
    color:#707173;
}

#main .left-wrapper .left_headline::before{
    height: 5px;
    left: 40px;
    right: 40px;
    top: 0;
    position: absolute;
    display: block;
    background-color: #BDCD00;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    content: '';
}
.searchform-wrapper .left-col .title-suche{
    font-size: var(--beon-small-font-size);
    line-height: normal;
    color: var(--beon-text-green-color);
    padding-bottom:26px;
    padding-top: 20px;
    margin: 0;
    text-transform: uppercase;
}

.searchform-wrapper .left-col h2.subtitle-suche{
    width: 28vw;
    font-weight: 400;
}

.searchform-wrapper .left-col .wrap-filter-title-subtitle p{
    width: 35vw;
    font-size: var(--beon-regular-font-size);
}

.sort-wrapper .select2-container .select2-selection--single{
    padding: 9.5px 15px 9.5px 10px;
    background: #FFF;
    border-radius: 0px !important;
    border: 2px solid #edeeef;
    position: relative;
}


/* .select2-dropdown{
    z-index: 1;
} */
.select2-container--default .select2-results>.select2-results__options {
    max-height: 400px;
}
.wraps-filter .wrap-filter-details, .wrap-filter .wrap-filter-details{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    border-bottom: 1px solid #DDD6CC;
    margin-bottom: 20px;
}

.wraps-filter .wrap-filter-details h3, .wrap-filter .wrap-filter-details h3{
    margin: 0;
    text-transform: uppercase;
}

.wraps-filter .filter-content-main, .wrap-filter .filter-content-main{
    height: 40vh;
    overflow-y: auto;
    position: relative;
}

.wraps-filter .filter-content-main h5, .wrap-filter .filter-content-main h5{
    font-size: var(--beon-small-font-size);
    margin-bottom: 13px;
}

/* .filter-align-items{
    border: 2px solid #EDEEEF;
} */

.filter-align-items .select2-container .select2-selection--single{
    justify-content: start;
}
.filter-align-items .select2-container .select2-selection--single .select2-selection__rendered{
    padding: 0;
}

.filter-align-items{
    margin-bottom: 7px;
}

.wraps-filter .filter-content-main .beliebte_filter{
    margin-top: 30px;
}

#searchform .wrap-regions .select2-container .select2-selection--single, #searchform .filter-align-items .select2-container .select2-selection--single{
    justify-content:start;
    padding-left:45px;
}

#searchform .wrap-regions .select2-container .select2-selection--single .select2-selection__rendered, #searchform .filter-align-items .select2-container .select2-selection--single .select2-selection__rendered{
    padding-left: 0;
}

#map{
    /* height: 100%; */
    height: 567px;
    padding-bottom: 30px;
}

.karte_btn_mobile{
    display: none !important;
}
#map-close{
    display: none;
}


#main .map-container {
    width: 35%;
    position: fixed;
    left: 0;
    height: 100%;
    /* background-color: var(--beon-form-gray-background); */
}

.searchform-wrapper .searchform_title_wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    background: #FFF;
    box-shadow: 0 0 60px 0 rgb(6 30 98 / 8%);
    padding: 21px 30px;
    border-radius: 20px 20px 0 0;
}

.searchform-wrapper .searchform_title_wrapper h3{
    margin: 0;
    font-size: 24px;
    line-height: 1.5;
    color: #5D8690;
    text-transform: uppercase;
}

.switch-toggle-wrapper{
    z-index: 1;
    position: absolute;
    top: -35px;
    right: 0;
    cursor: pointer;
}
.switch-toggle{
    display: flex;
    align-items: center;
    position: relative;
    width: 185px;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    background-color: #bdcd00;
    border-top: 1px solid #fff;
    border-right: 1px solid #fff;
    border-left: 1px solid #fff;
}
.switch-toggle input[type="checkbox"]{
    margin: 0px;
    position:static;
    max-width: 200px;
    cursor: pointer;
    height: 34px;
}
.switch-toggle-label{
    position: absolute;
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: center;
    width: 100%;
}
.switch-toggle-label .toggle-text {
    color: white;
    transition: color 200ms linear;
    cursor: pointer;
    font-size: 14px;
    line-height: 34px;
}
.switch-toggle-wrapper:hover .toggle-text{
    color: #666;
}
.form-group:not(.wrap-guests)::after, .form-group:not(.wrap-region)::after{
    display: none;
}
@media only screen and (max-width: 1550px) and (min-width: 1025px) {
    /* #main .searchform-wrapper {
        padding: 0 50px 85px 50px;
    } */
    .searchform-wrapper .property-wrapper{
        padding-left: 50px;
    }
    form#searchform .wrap-guests.form-group{
		margin-left: 0px;
		min-width: auto;
	}
    .switch-toggle-wrapper{
        top: -85px;
    }
    #main{
        margin-top: 0px;
    }
    #map{
        height: 450px;
    }
}
@media screen and (max-width:1199px) {
    .searchform-wrapper .property-wrapper{
        gap: 10px;
    }
    .btn-green{
        padding: 17px !important;
    }
    /* form#searchform .wrap-range, form#searchform .wrap-guests{
        padding: 18px 15px;
    } */
    /* form#searchform .wrap-guests{
        padding-left: 50px;
    } */
}
@media only screen and (max-width: 1024px){
    
    .overview ul {
        flex-wrap: wrap;
    }
    .overview ul li:first-child {
        padding-right: 0px;
    }
    .overview ul li:last-child {
        padding-left: 0px;
    }
    .overview ul li:nth-child(2) {
        padding-left: 0px;
        padding-right: 0px;
        width: 100%;
        order: 2;
        z-index:1;
    }
    .form-group{
        min-height: unset;
    }
    .overview ul::after, #main .map-container {
        display: none;
    }
    .main-search .activeoptions-wrapper {
        flex-wrap: wrap;   
    }
    .main-search .activeoptions-wrapper .activeoptions-label {
        width: 100%;
    }
    .main-search .property-wrapper label {
        font-size: var(--font-size-small);
    }
    /* #main .searchform-wrapper{
        padding: 0;
    } */
    #main .content-wrapper{
        width: 55%;
    }
    #main{
        gap:20px;
        /* margin-top: 20px; */
    }
    .searchform-wrapper .left-col{
        padding: 40px 30px;
    }
    .searchform-wrapper .property-wrapper{
        position: relative;
        padding:30px;
        flex-direction: column;
        margin-top: 0;
        background-color: var(--beon-text-green-color);
        /* z-index:2; */
    }
    #show_allfilter{
        position: fixed;
        left:30px;
        right: 30px;
        bottom: 30px;
    }
    form#searchform .wrap-range{
        background-color: transparent;
        padding: 0;
        width: 100%;
    }
    form#searchform .wrap-range #range{
        display: flex;
        flex-direction: column;
        gap: 11px;
    }
    form#searchform .wrap-range #range .form-group.dateInput{
        background-color: white;
        width: 100%;
        border-radius: 999px;
        text-align: center;
        margin: 0;
    }
    form#searchform span.icon-wrapper, form#searchform .wrap-guests .icon-wrapper{
        left: 10px;
    }
    form#searchform input[type="submit"]{
        padding: 13px;
        line-height: unset;
        background-position: center right 40%;
    }
    .wrap-filter-title-subtitle .herosection img{
        height: 250px;
    }
    #searchform .wrap-regions .select2-container .select2-selection--single{
        justify-content: start;
    }
    #Karte_btn{
        position: fixed;
        top:110px;
        width:45%;
        left:30px;
        z-index:2;
    }
    .sort-wrapper-mobile{
        position: fixed !important;
        top: 110px !important;
        width: 45% !important;
        right: 30px !important;
    }
    .sort-wrapper .select2-container .select2-selection--single{
        padding: 13px 15px 13px 15px;
    }
    .page-id-282 .footer{
        z-index: 9;
    }
    .karte_btn_desktop{
        display: none !important;
    }
    .karte_btn_mobile{
        display: flex !important;
    }
    .sort-wrapper-mobile .select2-container{
        width:100% !important
    }
    .switch-toggle-wrapper{
        top: -65px ;
    }
    .searchform-wrapper .searchform_title_wrapper h3{
        font-size: 20px;
    }
}

@media screen and (max-width:767px) {
    form#searchform {
        max-width: 100%;
        width:100%;
        background-color: transparent;
        align-items: stretch !important;
        gap: 11px;
        padding: 25px;
    }
    .searchform-wrapper .left-col{
        padding: 40px 20px;
    }
    .searchform-wrapper .property-wrapper{
        padding: 20px;
    }
    #Karte_btn{
        left:20px;
        min-width:auto;
        width:40%;
    }
    .sort-wrapper-mobile{
        right:20px !important;
        width:40%;
    }
    .wraps-filter {
        .input-wrapper{
            width: 100%;
        }
    }
   
    .map-container{
        position: fixed;
        background-color: var(--beon-form-background);
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 999;
        padding: 30px 40px;
        width: 90vw !important;
        height: 80% !important;
        align-items: center;
        border: 1px solid var(--beon-popup-border-color);
        border-radius: var(--beon-border-radius);
    }
    #map-close{
        display: flex;
    }
    .wraps-filter, .wrap-filter {
        padding: 15px 40px;
        & .input-wrapper {
            label {
                padding-left: 40px;
            }
        }
    }
    .switch-toggle-wrapper {
        top: -55px;
        display:none
    }
}

@media screen and (max-width:767px){
    #main .content-wrapper{
        width: 100%;
    }
    .filter-content-main{
        padding-right: 15px;
    }
    div#primary.main-search button#filter-button-close{
        width:100%;
        margin-top: 10px;
    }
}